Last Comment Bug 763033 - Keep url bar blank on about:home
: Keep url bar blank on about:home
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 16
Assigned To: Jonathan Wilde [:jwilde]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-08 13:01 PDT by Alex Limi (:limi) — Firefox UX Team
Modified: 2013-11-13 11:06 PST (History)
4 users (show)
jaws: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Bug 763033 - about:home shouldn't show about:home in the location bar (915 bytes, patch)
2012-06-08 14:35 PDT, Jonathan Wilde [:jwilde]
fryn: review+
Details | Diff | Splinter Review
Improved order of elements in gInitialPages. (849 bytes, patch)
2012-06-08 16:37 PDT, Jonathan Wilde [:jwilde]
no flags Details | Diff | Splinter Review

Description Alex Limi (:limi) — Firefox UX Team 2012-06-08 13:01:30 PDT
Currently, if you load about:home, it leaves "about:home" in the URL bar. It shouldn't do that.

It should work similarly to about:newtab, it's an implementation detail, and should never be surfaced in the UI.
Comment 1 Jonathan Wilde [:jwilde] 2012-06-08 14:35:33 PDT
Created attachment 631534 [details] [diff] [review]
Bug 763033 - about:home shouldn't show about:home in the location bar
Comment 2 Frank Yan (:fryn) 2012-06-08 16:03:52 PDT
Comment on attachment 631534 [details] [diff] [review]
Bug 763033 - about:home shouldn't show about:home in the location bar

Review of attachment 631534 [details] [diff] [review]:
-----------------------------------------------------------------

Oh, cool. I forgot about gInitialPages.
Nit: If you change the patch to add "about:home" between "about:newtab" and "about:privatebrowsing", we only need to change one line in the file, and the related pages are slightly better grouped. :)
Comment 3 Frank Yan (:fryn) 2012-06-08 16:18:56 PDT
Pushed to inbound!
https://hg.mozilla.org/integration/mozilla-inbound/rev/7377fb1cbdb8
Comment 4 Jonathan Wilde [:jwilde] 2012-06-08 16:37:39 PDT
Created attachment 631569 [details] [diff] [review]
Improved order of elements in gInitialPages.

Fixed.
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-06-09 19:19:03 PDT
https://hg.mozilla.org/mozilla-central/rev/7377fb1cbdb8
Comment 6 Marco Bonardo [::mak] 2012-06-12 05:35:03 PDT
(In reply to Frank Yan (:fryn) from comment #2)
> Oh, cool. I forgot about gInitialPages.
> Nit: If you change the patch to add "about:home" between "about:newtab" and
> "about:privatebrowsing"


fwiw, would have been nicer to keep the existing alphabetical order...

Note You need to log in before you can comment on or make changes to this bug.